changeset 25880:4fe4a165a116

#
author Dave Love <fx@gnu.org>
date Wed, 06 Oct 1999 22:10:16 +0000
parents 4351ac02c1e1
children 54d9b33d9c4b
files ChangeLog mkinstalldirs
diffstat 2 files changed, 44 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- a/ChangeLog	Wed Oct 06 21:56:30 1999 +0000
+++ b/ChangeLog	Wed Oct 06 22:10:16 1999 +0000
@@ -1,3 +1,7 @@
+1999-10-06  Dave Love  <fx@gnu.org>
+
+	* Makefile.in: Add rules for config.status, configure.
+
 1999-09-07  Gerd Moellmann  <gerd@gnu.org>
 
 	* configure.in (--with-sound): Removed.
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/mkinstalldirs	Wed Oct 06 22:10:16 1999 +0000
@@ -0,0 +1,40 @@
+#! /bin/sh
+# mkinstalldirs --- make directory hierarchy
+# Author: Noah Friedman <friedman@prep.ai.mit.edu>
+# Created: 1993-05-16
+# Public domain
+
+# $Id: mkinstalldirs,v 1.11 1998/05/19 07:05:25 drepper dead $
+
+errstatus=0
+
+for file
+do
+   set fnord `echo ":$file" | sed -ne 's/^:\//#/;s/^://;s/\// /g;s/^#/\//;p'`
+   shift
+
+   pathcomp=
+   for d
+   do
+     pathcomp="$pathcomp$d"
+     case "$pathcomp" in
+       -* ) pathcomp=./$pathcomp ;;
+     esac
+
+     if test ! -d "$pathcomp"; then
+        echo "mkdir $pathcomp" 1>&2
+
+        mkdir "$pathcomp" || lasterr=$?
+
+        if test ! -d "$pathcomp"; then
+  	  errstatus=$lasterr
+        fi
+     fi
+
+     pathcomp="$pathcomp/"
+   done
+done
+
+exit $errstatus
+
+# mkinstalldirs ends here